Puts the catalog.
1 min
PUT
/episerverapi/commerce/catalogs/{catalogName}
Path Parameters
- catalogNamestringrequiredDescription
Body Parameters
- bodyCatalogDescription
- endDatestring<date-time>DescriptionFormatdate-time
- startDatestring<date-time>DescriptionFormatdate-time
- isPrimarybooleanDescription
- ownerstringDescription
- sortOrderinteger<int32>DescriptionFormatint32
- namestringDescription
- defaultCurrencystringDescription
- defaultLanguagestringDescription
- weightBasestringDescription
- lengthBasestringDescription
- isActivebooleanDescription
- languagesCatalogLanguage[]Description
- languageCodestringDescription
- catalogstringDescription
- uriSegmentstringDescription
- nodesResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- entriesResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
Responses
200
204
400
401
404
curl
curl --request PUT \
--url /episerverapi/commerce/catalogs/{catalogName} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'PUT',
headers: myHeaders,
redirect: 'follow'
};
fetch("/episerverapi/commerce/catalogs/{catalogName}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/episerverapi/commerce/catalogs/{catalogName}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/episerverapi/commerce/catalogs/{catalogName}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
200
// Success
204
// The catalog is saved.
400
// If the catalog model is not valid.
401
// If user does not have enough permission for this request.
404
// If catalog does not exist.